--- old/usr/src/uts/sun4/ml/interrupt.s	Thu Nov 14 19:00:35 2019
+++ new/usr/src/uts/sun4/ml/interrupt.s	Thu Nov 14 19:00:35 2019
@@ -22,12 +22,7 @@
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/thread.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/cmn_err.h>
 #include <sys/ftrace.h>
@@ -41,16 +36,7 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if defined(lint)
 
-/* ARGSUSED */
-void
-pil_interrupt(int level)
-{}
-
-#else	/* lint */
-
-
 /*
  * (TT 0x40..0x4F, TL>0) Interrupt Level N Handler (N == 1..15)
  * 	Register passed from LEVEL_INTERRUPT(level)
@@ -160,10 +146,7 @@
 	SET_SIZE(pil_interrupt_common)
 	SET_SIZE(pil_interrupt)
 
-#endif	/* lint */
 
-
-#ifndef	lint
 _spurious:
 	.asciz	"!interrupt 0x%x at level %d not serviced"
 
@@ -329,17 +312,6 @@
 #define SERVE_INTR_TRACE2(inum, os1, os2, os3, os4)
 #endif	/* TRAPTRACE */
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-intr_thread(struct regs *regs, uint64_t iv_p, uint_t pil)
-{}
-
-#else	/* lint */
-
 #define	INTRCNT_LIMIT 16
 
 /*
@@ -892,39 +864,7 @@
 intr_thread_t_intr_start_zero:
 	.asciz	"intr_thread():	t_intr_start zero upon handler return"
 #endif /* DEBUG */
-#endif	/* lint */
 
-#if defined(lint)
-
-/*
- * Handle an interrupt in the current thread
- *	Entry:
- *		%o0       = pointer to regs structure
- *		%o1       = pointer to current intr_vec_t (iv) to be processed
- *		%o2       = pil
- *		%sp       = on current thread's kernel stack
- *		%o7       = return linkage to trap code
- *		%g7       = current thread
- *		%pstate   = normal globals, interrupts enabled, 
- *		            privileged, fp disabled
- *		%pil      = PIL_MAX
- *
- *	Register Usage
- *		%l0       = return linkage
- *		%l1       = old stack
- *		%l2 - %l3 = scratch
- *		%l4 - %l7 = reserved for sys_trap
- *		%o3       = cpu
- *		%o0       = scratch
- *		%o4 - %o5 = scratch
- */
-/* ARGSUSED */
-void
-current_thread(struct regs *regs, uint64_t iv_p, uint_t pil)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(current_thread)
 	
 	mov	%o7, %l0
@@ -1398,7 +1338,6 @@
 current_thread_nested_PIL_not_found:
 	.asciz	"current_thread: couldn't find nested high-level PIL"
 #endif /* DEBUG */
-#endif /* lint */
 
 /*
  * Return a thread's interrupt level.
@@ -1412,31 +1351,11 @@
  *	kthread_id_t	t;
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-intr_level(kthread_id_t t)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(intr_level)
 	retl
 	ldub	[%o0 + T_PIL], %o0		! return saved pil
 	SET_SIZE(intr_level)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-int
-disable_pil_intr()
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(disable_pil_intr)
 	rdpr	%pil, %o0
 	retl
@@ -1443,33 +1362,11 @@
 	wrpr	%g0, PIL_MAX, %pil		! disable interrupts (1-15)
 	SET_SIZE(disable_pil_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-enable_pil_intr(int pil_save)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(enable_pil_intr)
 	retl
 	wrpr	%o0, %pil
 	SET_SIZE(enable_pil_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-uint_t
-disable_vec_intr(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(disable_vec_intr)
 	rdpr	%pstate, %o0
 	andn	%o0, PSTATE_IE, %g1
@@ -1477,32 +1374,11 @@
 	wrpr	%g0, %g1, %pstate		! disable interrupt
 	SET_SIZE(disable_vec_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-enable_vec_intr(uint_t pstate_save)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(enable_vec_intr)
 	retl
 	wrpr	%g0, %o0, %pstate
 	SET_SIZE(enable_vec_intr)
 
-#endif	/* lint */
-
-#if defined(lint)
- 
-void
-cbe_level14(void)
-{}
-
-#else   /* lint */
-
 	ENTRY_NP(cbe_level14)
 	save    %sp, -SA(MINFRAME), %sp ! get a new window
 	!
@@ -1522,18 +1398,7 @@
 	restore	%g0, 1, %o0
 	SET_SIZE(cbe_level14)
 
-#endif  /* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-kdi_setsoftint(uint64_t iv_p)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(kdi_setsoftint)
 	save	%sp, -SA(MINFRAME), %sp	! get a new window 
 	rdpr	%pstate, %l5
@@ -1607,17 +1472,6 @@
 	restore
 	SET_SIZE(kdi_setsoftint)
 	
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-setsoftint_tl1(uint64_t iv_p, uint64_t dummy)
-{}
-
-#else	/* lint */
-
 	!
 	! Register usage
 	!	Arguments:
@@ -1702,17 +1556,6 @@
 	retry
 	SET_SIZE(setsoftint_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-setvecint_tl1(uint64_t inum, uint64_t dummy)
-{}
-
-#else	/* lint */
-
 	!
 	! Register usage
 	!	Arguments:
@@ -1845,33 +1688,11 @@
 	mov	PIL_15, %g4
 	SET_SIZE(setvecint_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-wr_clr_softint(uint_t value)
-{}
-
-#else
-
 	ENTRY_NP(wr_clr_softint)
 	retl
 	wr	%o0, CLEAR_SOFTINT
 	SET_SIZE(wr_clr_softint)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-intr_enqueue_req(uint_t pil, uint64_t inum)
-{}
-
-#else   /* lint */
-
 /*
  * intr_enqueue_req
  *
@@ -1921,21 +1742,11 @@
 	nop
 	SET_SIZE(intr_enqueue_req)
 
-#endif  /* lint */
-
 /*
  * Set CPU's base SPL level, based on which interrupt levels are active.
  * 	Called at spl7 or above.
  */
 
-#if defined(lint)
-
-void
-set_base_spl(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(set_base_spl)
 	ldn	[THREAD_REG + T_CPU], %o2	! load CPU pointer
 	ld	[%o2 + CPU_INTR_ACTV], %o5	! load active interrupts mask
@@ -1986,8 +1797,6 @@
 	.byte	5, 5, 5, 5,	5, 5, 5, 5,	5, 5, 5, 5,	5, 5, 5, 5
 	.align	4
 
-#endif	/* lint */
-
 /*
  * int
  * intr_passivate(from, to)
@@ -1995,15 +1804,6 @@
  *	kthread_id_t	to;		interrupted thread
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-intr_passivate(kthread_id_t from, kthread_id_t to)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(intr_passivate)
 	save	%sp, -SA(MINFRAME), %sp	! get a new window 
 
@@ -2060,77 +1860,6 @@
 	restore
 	SET_SIZE(intr_passivate)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- * intr_get_time() is a resource for interrupt handlers to determine how
- * much time has been spent handling the current interrupt. Such a function
- * is needed because higher level interrupts can arrive during the
- * processing of an interrupt, thus making direct comparisons of %tick by
- * the handler inaccurate. intr_get_time() only returns time spent in the
- * current interrupt handler.
- *
- * The caller must be calling from an interrupt handler running at a pil
- * below or at lock level. Timings are not provided for high-level
- * interrupts.
- *
- * The first time intr_get_time() is called while handling an interrupt,
- * it returns the time since the interrupt handler was invoked. Subsequent
- * calls will return the time since the prior call to intr_get_time(). Time
- * is returned as ticks, adjusted for any clock divisor due to power 
- * management. Use tick2ns() to convert ticks to nsec. Warning: ticks may 
- * not be the same across CPUs.
- *
- * Theory Of Intrstat[][]:
- *
- * uint64_t intrstat[pil][0..1] is an array indexed by pil level, with two
- * uint64_ts per pil.
- *
- * intrstat[pil][0] is a cumulative count of the number of ticks spent
- * handling all interrupts at the specified pil on this CPU. It is
- * exported via kstats to the user.
- *
- * intrstat[pil][1] is always a count of ticks less than or equal to the
- * value in [0]. The difference between [1] and [0] is the value returned
- * by a call to intr_get_time(). At the start of interrupt processing,
- * [0] and [1] will be equal (or nearly so). As the interrupt consumes
- * time, [0] will increase, but [1] will remain the same. A call to
- * intr_get_time() will return the difference, then update [1] to be the
- * same as [0]. Future calls will return the time since the last call.
- * Finally, when the interrupt completes, [1] is updated to the same as [0].
- *
- * Implementation:
- *
- * intr_get_time() works much like a higher level interrupt arriving. It
- * "checkpoints" the timing information by incrementing intrstat[pil][0]
- * to include elapsed running time, and by setting t_intr_start to %tick.
- * It then sets the return value to intrstat[pil][0] - intrstat[pil][1],
- * and updates intrstat[pil][1] to be the same as the new value of
- * intrstat[pil][0].
- *
- * In the normal handling of interrupts, after an interrupt handler returns
- * and the code in intr_thread() updates intrstat[pil][0], it then sets
- * intrstat[pil][1] to the new value of intrstat[pil][0]. When [0] == [1],
- * the timings are reset, i.e. intr_get_time() will return [0] - [1] which
- * is 0.
- *
- * Whenever interrupts arrive on a CPU which is handling a lower pil
- * interrupt, they update the lower pil's [0] to show time spent in the
- * handler that they've interrupted. This results in a growing discrepancy
- * between [0] and [1], which is returned the next time intr_get_time() is
- * called. Time spent in the higher-pil interrupt will not be returned in
- * the next intr_get_time() call from the original interrupt, because
- * the higher-pil interrupt's time is accumulated in intrstat[higherpil][].
- */
-
-/*ARGSUSED*/
-uint64_t
-intr_get_time(void)
-{ return 0; }
-#else	/* lint */
-
 	ENTRY_NP(intr_get_time)
 #ifdef DEBUG
 	!
@@ -2239,4 +1968,3 @@
 intr_get_time_no_start_time:
 	.asciz	"intr_get_time(): t_intr_start == 0"
 #endif /* DEBUG */
-#endif  /* lint */
--- old/usr/src/uts/sun4/ml/ip_ocsum.s	Thu Nov 14 19:00:35 2019
+++ new/usr/src/uts/sun4/ml/ip_ocsum.s	Thu Nov 14 19:00:35 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -33,11 +31,7 @@
 #include <sys/machthread.h>
 #include <sys/machparam.h>
 
-#if defined(lint)
-#include <sys/types.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * Prefetch considerations
@@ -75,15 +69,6 @@
  *
  */
 
-#if defined(lint) 
-
-/* ARGSUSED */
-unsigned int
-ip_ocsum(u_short *address, int halfword_count, unsigned int sum)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(ip_ocsum)
 
 /*
@@ -461,4 +446,3 @@
 
 	SET_SIZE(ip_ocsum_long)	! 64-bit version
 
-#endif 	/* lint */
--- old/usr/src/uts/sun4/ml/locore.s	Thu Nov 14 19:00:35 2019
+++ new/usr/src/uts/sun4/ml/locore.s	Thu Nov 14 19:00:35 2019
@@ -24,15 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#include <sys/promif.h>
-#include <sys/prom_isa.h>
-#endif	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/scb.h>
@@ -39,17 +30,8 @@
 #include <sys/machparam.h>
 #include <sys/machthread.h>
 
-#if defined(lint)
-
-#include <sys/thread.h>
-#include <sys/time.h>
-
-#else	/* lint */
-
 #include "assym.h"
 
-#endif	/* lint */
-
 /*
  * void
  * reestablish_curthread(void)
@@ -59,14 +41,6 @@
  *	The CPU_ADDR macro figures out the cpuid by reading hardware registers.
  */
 
-#if defined(lint)
-
-void
-reestablish_curthread(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(reestablish_curthread)
 
 	CPU_ADDR(%o0, %o1)
@@ -75,28 +49,17 @@
 	SET_SIZE(reestablish_curthread)
 
 
-#endif	/* lint */
-
 /*
  * Return the current THREAD pointer.
  * This is also available as an inline function.
  */
-#if defined(lint)
 
-kthread_id_t
-threadp(void)
-{ return ((kthread_id_t)0); }
-
-#else	/* lint */
-
 	ENTRY_NP(threadp)
 	retl
 	mov	THREAD_REG, %o0
 	SET_SIZE(threadp)
 
-#endif	/* lint */
 
-
 /*
  * The IEEE 1275-1994 callback handler for a 64-bit SPARC V9 PROM calling
  * a 32 bit client program. The PROM calls us with a 64 bit stack and a
@@ -109,18 +72,6 @@
  * the prom's window handlers are mixed mode handlers.
  */
 
-#if defined(lint)
-
-int
-callback_handler(cell_t *arg_array)
-{
-	extern int vx_handler(cell_t *arg_array);
-
-	return (vx_handler(arg_array));
-}
-
-#else	/* lint */
-
 	ENTRY_NP(callback_handler)
 	!
 	! We assume we are called with a 64 bit stack with PSTATE_AM clear
@@ -153,6 +104,4 @@
 	ret					! return result in %o0
 	restore					! back to a 64 bit stack
 	SET_SIZE(callback_handler)
-
-#endif	/* lint */
 
--- old/usr/src/uts/sun4/ml/proc_init.s	Thu Nov 14 19:00:36 2019
+++ new/usr/src/uts/sun4/ml/proc_init.s	Thu Nov 14 19:00:36 2019
@@ -23,11 +23,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
@@ -39,15 +35,11 @@
 #include <sys/clock.h>
 #include <vm/hat_sfmmu.h>	
 
-#if !defined(lint)
 	.weak	cpu_feature_init
 	.type	cpu_feature_init, #function
-#endif	/* lint */
 
-#if !defined(lint)
 	.weak	cpu_early_feature_init
 	.type	cpu_early_feature_init, #function
-#endif	/* lint */
 
 /*
  * Processor initialization
@@ -57,15 +49,6 @@
  * prom's trap table.  It expects the cpuid as its first parameter.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-cpu_startup(int cpuid)
-{}
-
-#else	/* lint */
-
 	! allocate a temporary stack to run on while we figure who and
 	! what we are.
 	.seg	".data"
@@ -154,4 +137,3 @@
 	restore				! WILL cause underflow
 	SET_SIZE(cpu_startup)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4/ml/subr_asm.s	Thu Nov 14 19:00:36 2019
+++ new/usr/src/uts/sun4/ml/subr_asm.s	Thu Nov 14 19:00:36 2019
@@ -23,19 +23,11 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * General machine architecture & implementation specific
  * assembly language routines.
  */
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/machsystm.h>
-#include <sys/t_lock.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/async.h>
@@ -43,14 +35,6 @@
 #include <sys/vis.h>
 #include <sys/machsig.h>
 
-#if defined(lint)
-caddr_t
-set_trap_table(void)
-{
-	return ((caddr_t)0);
-}
-#else /* lint */
-
 	ENTRY(set_trap_table)
 	set	trap_table, %o1
 	rdpr	%tba, %o0
@@ -59,72 +43,6 @@
 	wrpr	%g0, WSTATE_KERN, %wstate
 	SET_SIZE(set_trap_table)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-stphys(uint64_t physaddr, int value)
-{}
-
-/*ARGSUSED*/
-int
-ldphys(uint64_t physaddr)
-{ return (0); }
-
-/*ARGSUSED*/
-void
-stdphys(uint64_t physaddr, uint64_t value)
-{}
-
-/*ARGSUSED*/
-uint64_t
-lddphys(uint64_t physaddr)
-{ return (0x0ull); }
-
-/* ARGSUSED */
-void
-stphysio(u_longlong_t physaddr, uint_t value)
-{}
-
-/* ARGSUSED */
-uint_t
-ldphysio(u_longlong_t physaddr)
-{ return(0); }
-
-/* ARGSUSED */
-void
-sthphysio(u_longlong_t physaddr, ushort_t value)
-{}
-
-/* ARGSUSED */
-ushort_t
-ldhphysio(u_longlong_t physaddr)
-{ return(0); }
-
-/* ARGSUSED */
-void
-stbphysio(u_longlong_t physaddr, uchar_t value)
-{}
-
-/* ARGSUSED */
-uchar_t
-ldbphysio(u_longlong_t physaddr)
-{ return(0); }
-
-/*ARGSUSED*/
-void
-stdphysio(u_longlong_t physaddr, u_longlong_t value)
-{}
-
-/*ARGSUSED*/
-u_longlong_t
-lddphysio(u_longlong_t physaddr)
-{ return (0ull); }
-
-#else
-
 	! Store long word value at physical address
 	!
 	! void  stdphys(uint64_t physaddr, uint64_t value)
@@ -300,7 +218,6 @@
 	retl
 	wrpr	%g0, %o4, %pstate	/* restore pstate */
 	SET_SIZE(ldbphysio)
-#endif  /* lint */
 
 /*
  * save_gsr(kfpu_t *fp)
@@ -307,15 +224,6 @@
  * Store the graphics status register
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-save_gsr(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(save_gsr)
 	rd	%gsr, %g2			! save gsr
 	retl
@@ -322,17 +230,6 @@
 	stx	%g2, [%o0 + FPU_GSR]
 	SET_SIZE(save_gsr)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-restore_gsr(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(restore_gsr)
 	ldx	[%o0 + FPU_GSR], %g2
 	wr	%g2, %g0, %gsr
@@ -340,8 +237,6 @@
 	nop
 	SET_SIZE(restore_gsr)
 
-#endif	/* lint */
-
 /*
  * uint64_t
  * _fp_read_pgsr()
@@ -348,23 +243,12 @@
  * Get the graphics status register info from fp and return it
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-uint64_t
-_fp_read_pgsr(kfpu_t *fp)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_read_pgsr)
 	retl
 	rd	%gsr, %o0
 	SET_SIZE(_fp_read_pgsr)
 
-#endif	/* lint */
 
-
 /*
  * uint64_t
  * get_gsr(kfpu_t *fp)
@@ -371,72 +255,31 @@
  * Get the graphics status register info from fp and return it
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-uint64_t
-get_gsr(kfpu_t *fp)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY_NP(get_gsr)
 	retl
 	ldx	[%o0 + FPU_GSR], %o0
 	SET_SIZE(get_gsr)
 
-#endif
-
 /*
  * _fp_write_pgsr(uint64_t *buf, kfpu_t *fp)
  * Set the graphics status register info to fp from buf
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-_fp_write_pgsr(uint64_t buf, kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(_fp_write_pgsr)
 	retl
 	mov	%o0, %gsr
 	SET_SIZE(_fp_write_pgsr)
 
-#endif	/* lint */
-
 /*	
  * set_gsr(uint64_t buf, kfpu_t *fp)
  * Set the graphics status register info to fp from buf
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-set_gsr(uint64_t buf, kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(set_gsr)
 	retl
 	stx	%o0, [%o1 + FPU_GSR]
 	SET_SIZE(set_gsr)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-void
-kdi_cpu_index(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(kdi_cpu_index)
 	CPU_INDEX(%g1, %g2)
 	jmp	%g7
@@ -443,16 +286,6 @@
 	nop
 	SET_SIZE(kdi_cpu_index)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-void
-kmdb_enter(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(kmdb_enter)
 	t	ST_KMDB_TRAP
 	retl
@@ -459,8 +292,6 @@
 	nop
 	SET_SIZE(kmdb_enter)
 
-#endif	/* lint */
-
 /*
  * The Spitfire floating point code has been changed not to use install/
  * save/restore/fork/freectx() because of the special memcpy library
@@ -492,20 +323,6 @@
  * Store the floating point registers.
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-fp_save(kfpu_t *fp)
-{}
-
-/* ARGSUSED */
-void
-fp_fksave(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_save)
 	ALTENTRY(fp_fksave)
 	BSTORE_FPREGS(%o0, %o1)			! store V9 regs
@@ -514,8 +331,6 @@
 	SET_SIZE(fp_fksave)
 	SET_SIZE(fp_save)
 
-#endif	/* lint */
-
 /*
  * fp_v8_fksave(kfpu_t *fp)
  *
@@ -522,15 +337,6 @@
  * This is like the above routine but only saves the lower half.
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-fp_v8_fksave(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_v8_fksave)
 	BSTORE_V8_FPREGS(%o0, %o1)		! store V8 regs
 	retl
@@ -537,8 +343,6 @@
 	stx	%fsr, [%o0 + FPU_FSR]		! store fsr
 	SET_SIZE(fp_v8_fksave)
 
-#endif	/* lint */
-
 /*
  * fp_v8p_fksave(kfpu_t *fp)
  *
@@ -545,15 +349,6 @@
  * This is like the above routine but only saves the upper half.
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-fp_v8p_fksave(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_v8p_fksave)
 	BSTORE_V8P_FPREGS(%o0, %o1)		! store V9 extra regs
 	retl
@@ -560,21 +355,10 @@
 	stx	%fsr, [%o0 + FPU_FSR]		! store fsr
 	SET_SIZE(fp_v8p_fksave)
 
-#endif	/* lint */
-
 /*
  * fp_restore(kfpu_t *fp)
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-fp_restore(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_restore)
 	BLOAD_FPREGS(%o0, %o1)			! load V9 regs
 	retl
@@ -581,21 +365,10 @@
 	ldx	[%o0 + FPU_FSR], %fsr		! restore fsr
 	SET_SIZE(fp_restore)
 
-#endif	/* lint */
-
 /*
  * fp_v8_load(kfpu_t *fp)
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-fp_v8_load(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_v8_load)
 	BLOAD_V8_FPREGS(%o0, %o1)		! load V8 regs
 	retl
@@ -602,21 +375,10 @@
 	ldx	[%o0 + FPU_FSR], %fsr		! restore fsr
 	SET_SIZE(fp_v8_load)
 
-#endif	/* lint */
-
 /*
  * fp_v8p_load(kfpu_t *fp)
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-fp_v8p_load(kfpu_t *fp)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_v8p_load)
 	BLOAD_V8P_FPREGS(%o0, %o1)		! load V9 extra regs
 	retl
@@ -623,4 +385,3 @@
 	ldx	[%o0 + FPU_FSR], %fsr		! restore fsr
 	SET_SIZE(fp_v8p_load)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4/ml/swtch.s	Thu Nov 14 19:00:36 2019
+++ new/usr/src/uts/sun4/ml/swtch.s	Thu Nov 14 19:00:36 2019
@@ -26,11 +26,7 @@
  * Process switching routines.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#else	/* lint */
-#include <sys/thread.h>
-#endif	/* lint */
 
 #include <sys/param.h>
 #include <sys/asm_linkage.h>
@@ -69,15 +65,6 @@
  * off the stack.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-resume(kthread_id_t t)
-{}
-
-#else	/* lint */
-
 	ENTRY(resume)
 	save	%sp, -SA(MINFRAME), %sp		! save ins and locals
 
@@ -454,17 +441,6 @@
 	SET_SIZE(_resume_from_idle)
 	SET_SIZE(resume)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-resume_from_zombie(kthread_id_t t)
-{}
-
-#else	/* lint */
-
 	ENTRY(resume_from_zombie)
 	save	%sp, -SA(MINFRAME), %sp		! save ins and locals
 
@@ -509,17 +485,6 @@
 	ldn	[%i0 + T_PROCP], %i3		! new process
 	SET_SIZE(resume_from_zombie)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-resume_from_intr(kthread_id_t t)
-{}
-
-#else	/* lint */
-
 	ENTRY(resume_from_intr)
 	save	%sp, -SA(MINFRAME), %sp		! save ins and locals
 
@@ -614,9 +579,7 @@
 	nop
 	SET_SIZE(resume_from_intr)
 
-#endif /* lint */
 
-
 /*
  * thread_start()
  *
@@ -628,14 +591,6 @@
  * procedure.
  */
 
-#if defined(lint)
-
-void
-thread_start(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(thread_start)
 	mov	%i0, %o0
 	jmpl 	%i7, %o7	! call thread_run()'s start() procedure.
@@ -645,5 +600,3 @@
 	nop
 	unimp 0
 	SET_SIZE(thread_start)
-
-#endif	/* lint */
--- old/usr/src/uts/sun4/ml/xc.s	Thu Nov 14 19:00:37 2019
+++ new/usr/src/uts/sun4/ml/xc.s	Thu Nov 14 19:00:37 2019
@@ -24,14 +24,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/cpuvar.h>
-#else	/*lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/param.h>
 #include <sys/asm_linkage.h>
@@ -50,14 +43,6 @@
 #endif /* TRAPTRACE */
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-send_self_xcall(struct cpu *cpu, uint64_t arg1, uint64_t arg2, xcfunc_t *func)
-{}
-
-#else
 /*
  * For a x-trap request to the same processor, just send a fast trap.
  * Does not accept inums.
@@ -67,13 +52,7 @@
 	retl
 	nop
 	SET_SIZE(send_self_xcall)
-#endif	/* lint */
 
-#if defined(lint)
-void
-idle_stop_xcall(void)
-{}
-#else
 /*
  * idle or stop xcall handler.
  *
@@ -98,6 +77,4 @@
 	ba,pt	%xcc, sys_trap
 	  movl	%xcc, XCALL_PIL, %g4
 	SET_SIZE(idle_stop_xcall)
-
-#endif	/* lint */
 
--- old/usr/src/uts/sun4u/cherrystone/ml/cherrystone_asm.s	Thu Nov 14 19:00:37 2019
+++ new/usr/src/uts/sun4u/cherrystone/ml/cherrystone_asm.s	Thu Nov 14 19:00:37 2019
@@ -24,13 +24,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#else
 #include "assym.h"
-#endif /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/param.h>
@@ -55,24 +49,6 @@
  * be a good idea to move this up to sun4u/ml.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-lddmcdecode(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-/* ARGSUSED */
-uint64_t
-lddsafaddr(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-#else /* !lint */
-
 !
 ! Load the safari address for a specific cpu
 !
@@ -121,4 +97,3 @@
 	wrpr	%g0, %o4, %pstate	! restore earlier pstate register value
 	SET_SIZE(lddmcdecode)
 
-#endif /* lint */
--- old/usr/src/uts/sun4u/cpu/cheetah_copy.s	Thu Nov 14 19:00:38 2019
+++ new/usr/src/uts/sun4u/cpu/cheetah_copy.s	Thu Nov 14 19:00:38 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma	ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -37,9 +35,7 @@
 #include <sys/privregs.h>
 #include <sys/fpras_impl.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * Pseudo-code to aid in understanding the control flow of the
@@ -621,7 +617,6 @@
  * of the copy code to membar #Sync immediately after copy is complete
  * and before using the BLD_*_FROMSTACK macro.
  */
-#if !defined(lint)
 #define BST_FPQ1Q3_TOSTACK(tmp1)				\
 	/* membar #Sync	*/					;\
 	add	%fp, STACK_BIAS - SAVED_FPREGS_ADJUST, tmp1	;\
@@ -657,7 +652,6 @@
 	add	tmp1, VIS_BLOCKSIZE, tmp1			;\
 	ldda	[tmp1]ASI_BLK_P, %f48				;\
 	membar	#Sync
-#endif
 
 /*
  * FP_NOMIGRATE and FP_ALLOWMIGRATE.  Prevent migration (or, stronger,
@@ -737,15 +731,6 @@
  * Returns errno value on pagefault error, 0 if all ok
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -913,7 +898,6 @@
 	  mov	%g0, %o0			! 
 
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
@@ -924,15 +908,7 @@
  * Copy a page of memory.
  * Assumes double word alignment and a count >= 256.
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -1502,21 +1478,10 @@
 
 	SET_SIZE(bcopy_more)
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -1560,9 +1525,7 @@
 
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
 
-
 /*
  * hwblkpagecopy()
  *
@@ -1570,12 +1533,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.  Preventing preemption also prevents cpu migration.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	! get another window w/space for three aligned blocks of saved fpregs
 	save	%sp, -SA(MINFRAME + HWCOPYFRAMESIZE), %sp
@@ -1703,7 +1660,6 @@
 	  restore	%g0, 0, %o0
 
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -1762,10 +1718,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-
-#else	/* lint */
 /*
  * We save the arguments in the following registers in case of a fault:
  *	kaddr - %l1
@@ -1832,17 +1784,6 @@
 	SET_SIZE(copyio_fault)
 
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyout)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -2467,18 +2408,7 @@
 
 	SET_SIZE(copyout_more)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
 	bleu,pt	%ncc, .xcopyout_small		! go to larger cases
@@ -2583,17 +2513,6 @@
 
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-	
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.xcopyio_err), %o5
 	or	%o5, %lo(.xcopyio_err), %o5
@@ -2624,21 +2543,10 @@
 
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
 	bleu,pt	%ncc, .copyin_small		! go to larger cases
@@ -3254,17 +3162,6 @@
 
 	SET_SIZE(copyin_more)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3370,17 +3267,6 @@
 
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.xcopyio_err), %o5
 	or	%o5, %lo(.xcopyio_err), %o5
@@ -3417,21 +3303,11 @@
 
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
 	ENTRY(copyin_noerr)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3515,7 +3391,6 @@
 	  nop
 
 	SET_SIZE(copyin_noerr)
-#endif /* lint */
 
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
@@ -3522,14 +3397,6 @@
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
 	ENTRY(copyout_noerr)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3603,7 +3470,6 @@
 	  or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 
 	SET_SIZE(copyout_noerr)
-#endif /* lint */
 
 
 /*
@@ -3614,14 +3480,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{ 
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 	! %l0 - saved fprs
@@ -3722,14 +3580,7 @@
 	  restore	%g0, 0, %o0		! return (bzero or not)
 
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef lint
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else /*!lint */
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -3764,19 +3615,6 @@
 
 	SET_SIZE(hw_pa_bcopy32)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_bzero = 1;
-uint_t hw_copy_limit_1 = 0;
-uint_t hw_copy_limit_2 = 0;
-uint_t hw_copy_limit_4 = 0;
-uint_t hw_copy_limit_8 = 0;
-
-#else /* !lint */
-
 	DGDEF(use_hw_bcopy)
 	.word	1
 	DGDEF(use_hw_bzero)
@@ -3792,4 +3630,3 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
